Name:           bunny
Version:        0.93
Release:        alt1_14
Summary:        Instrumented C code security fuzzer

Group:          Development/Tools
License:        ASL 2.0
URL:            http://code.google.com/p/%{name}-the-fuzzer/
Source0:        http://%{name}-the-fuzzer.googlecode.com/files/%{name}-%{version}.tgz
BuildRequires:  libssl-devel

# Package dynamically re-writes assembly code
ExclusiveArch: %{ix86} x86_64
Source44: import.info

%description
A closed loop, high-performance, general purpose protocol-blind fuzzer
for C programs.  Uses compiler-level integration to seamlessly inject
precise and reliable instrumentation hooks into the traced
program. These hooks enable the fuzzer to receive real-time feedback
on changes to the function call path, call parameters, and return
values in response to variations in input data.  This architecture
makes it possible to significantly improve the coverage of the testing
process without a noticeable performance impact usually associated
with other attempts to peek into run-time internals.

%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%check
make test1
make test2
make test3

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{name}-exec $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-flow $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-gcc $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-main $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-trace $RPM_BUILD_ROOT%{_bindir}/

%files
%doc COPYING README CHANGES
%{_bindir}/%{name}-exec
%{_bindir}/%{name}-flow
%{_bindir}/%{name}-gcc
%{_bindir}/%{name}-main
%{_bindir}/%{name}-trace


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1_14
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1_13
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1_12
- converted for Sisyphus

